xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) Peter De Wachter
License | BSD-style (see LICENSE)
Maintainer | Peter De Wachter <pdewacht@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.Circle

Contents

- Usage

Description

Circle is an elliptical, overlapping layout, by Peter De Wachter

Synopsis

- data Circle a = Circle

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Circle

Then edit your `layoutHook` by adding the Circle layout:

    myLayout = Circle ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Circle a #

Constructors

Circle |

Instances

LayoutClass Circle Window # |
Methods runLayout :: Workspace WorkspaceId (Circle Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (Circle Window)) # doLayout :: Circle Window -> Rectangle -> Stack Window -> X ([(Window, Rectangle)], Maybe (Circle Window)) # pureLayout :: Circle Window -> Rectangle -> Stack Window -> [(Window, Rectangle)] # emptyLayout :: Circle Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (Circle Window)) # handleMessage :: Circle Window -> SomeMessage -> X (Maybe (Circle Window)) # pureMessage :: Circle Window -> SomeMessage -> Maybe (Circle Window) # description :: Circle Window -> String #
Read (Circle a) # |
Methods readsPrec :: Int -> ReadS (Circle a) # readList :: ReadS [Circle a] # readPrec :: ReadPrec (Circle a) # readListPrec :: ReadPrec [Circle a] #
Show (Circle a) # |
Methods showsPrec :: Int -> Circle a -> ShowS # show :: Circle a -> String # showList :: [Circle a] -> ShowS #